/**
 * EasyBeans
 * Copyright (C) 2007 Bull S.A.S.
 * Contact: easybeans@objectweb.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: SimpleInterface.java 3493 2008-06-13 22:08:22Z sauthieg $
 * --------------------------------------------------------------------------
 */

package org.ow2.easybeans.examples.osgi;

import java.util.List;

import javax.ejb.Remote;

/**
 * Simple remote interface for the Bean.
 * @author Florent BENOIT
 */
@Remote
public interface SimpleInterface {

    /**
     * @return the list of all OSGi Bundles symbolic names found on the gateway.
     */
    List<String> listOSGiSymbolicNameBundles();

    /**
     * Try to log on the OSGi Log service.
     * @return result of the commands.
     */
    String tryLogService();

    /**
     * A test method checking if the dependency has been injected in the field.
     * @return <code>true</code> if injected
     */
    boolean isDependencyFieldInjected();

    /**
     * A test method checking if the dependency has been injected through the methods.
     * @return <code>true</code> if injected
     */
    boolean isDependencyMethodInjected();
}
